Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.feature.schema
Class DefaultFeatureType

    java.lang.Object
      org.deegree.model.feature.schema.DefaultFeatureType

All Implemented Interfaces:
  Serializable, FeatureType

Direct Known Subclasses:
  MappedFeatureType

    public class DefaultFeatureType

extends Object
implements FeatureType, Serializable

Default implementation for GML feature types.

Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , Markus Schneider , last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`DefaultFeatureType(QualifiedName name, boolean isAbstract, PropertyType[] properties)` Creates a new instance of `DefaultFeatureType` from the given parameters.
`DefaultFeatureType(QualifiedName name, boolean isAbstract, URI schemaLocation, PropertyType[] properties)` Creates a new instance of `DefaultFeatureType` from the given parameters.

Method Summary
`boolean` | `equals(FeatureType featureType)` returns true if the passed FeatureType equals this FeatureType.
`boolean` | `equals(Object other)` returns true if `other` is of type
`GeometryPropertyType[]` | `getGeometryProperties()` Returns the spatial properties of the feature type.
`QualifiedName` | `getName()` returns the name of the FeatureType
`URI` | `getNameSpace()` returns the namespace of the feature type (maybe null)
`PropertyType[]` | `getProperties()` returns the properties of this feature type
`PropertyType` | `getProperty(QualifiedName name)` returns a property of this feature type identified by its name
`PropertyType` | `getProperty(QualifiedName name, boolean quirk)`
`QualifiedName` | `getPropertyName(int index)` returns the name of the property a the passed index position
`URI` | `getSchemaLocation()` returns the location of the XML schema defintion assigned to a namespace
`boolean` | `isAbstract()` Returns whether this feature type is abstract or not.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultFeatureType

    public DefaultFeatureType(QualifiedName name,
                              boolean isAbstract,
                              PropertyType[] properties)

  Creates a new instance of `DefaultFeatureType` from the given parameters.

  Parameters:
    `name` -
    `isAbstract` -
    `properties` -

### DefaultFeatureType

    public DefaultFeatureType(QualifiedName name,
                              boolean isAbstract,
                              URI schemaLocation,
                              PropertyType[] properties)

  Creates a new instance of `DefaultFeatureType` from the given parameters.

  Parameters:
    `name` -
    `isAbstract` -
    `schemaLocation` -
    `properties` -

Method Detail

### getName

    public QualifiedName getName()

  returns the name of the FeatureType

  Specified by:
    `getName` in interface `FeatureType`
  Returns:
    name of the FeatureType

### isAbstract

    public boolean isAbstract()

  Returns whether this feature type is abstract or not.

  Specified by:
    `isAbstract` in interface `FeatureType`
  Returns:
    true, if the feature type is abstract, false otherwise

### getNameSpace

    public URI getNameSpace()

  returns the namespace of the feature type (maybe null)

  Specified by:
    `getNameSpace` in interface `FeatureType`
  Returns:
    the namespace of the feature type (maybe `null`)

### getSchemaLocation

    public URI getSchemaLocation()

  returns the location of the XML schema defintion assigned to a namespace

  Specified by:
    `getSchemaLocation` in interface `FeatureType`
  Returns:
    the location of the XML schema defintion assigned to a namespace

### getPropertyName

    public QualifiedName getPropertyName(int index)

  returns the name of the property a the passed index position

  Specified by:
    `getPropertyName` in interface `FeatureType`
  Returns:
    the name of the property a the passed index position

### getProperties

    public PropertyType[] getProperties()

  returns the properties of this feature type

  Specified by:
    `getProperties` in interface `FeatureType`
  Returns:
    type properties

### getProperty

    public PropertyType getProperty(QualifiedName name)

  returns a property of this feature type identified by its name

  Specified by:
    `getProperty` in interface `FeatureType`
  Parameters:
    `name` - name of the desired property
  Returns:
    one named property

### getProperty

    public PropertyType getProperty(QualifiedName name,
                                    boolean quirk)

  Parameters:
    `name` -
    `quirk` - if true, only the local names are considered (and namespaces are ignored)
  Returns:
    the property, or null, if none was found

### getGeometryProperties

    public GeometryPropertyType[] getGeometryProperties()

  Returns the spatial properties of the feature type.

  Specified by:
    `getGeometryProperties` in interface `FeatureType`
  Returns:
    the spatial properties of the feature type.
  See Also:
    `Types`

### equals

    public boolean equals(FeatureType featureType)

  returns true if the passed FeatureType equals this FeatureType. Two FeatureTypes are equal if they have the same qualified name

  Specified by:
    `equals` in interface `FeatureType`
  Returns:
    `true` if the passed FeatureType equals this FeatureType.

### equals

    public boolean equals(Object other)

  returns true if `other` is of type

  Overrides:
    `equals` in class `Object`
  See Also:
    `and #equals(FeatureType) is true`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org